---
updatedAt: 2026-07-24T23:39:39.000Z
---

# Retrieve a list of Privacy Profiles.

Use this API to retrieve a list of privacy profiles.                    <br/><br/><b>Entitlements required (one of the following):</b>                     <ul><li>readPrivacyProfile (Read privacy profiles)</li>                        <li>managePrivacyProfile (Manage privacy profiles)</li></ul>

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "version": "1.0.0",
    "description": "Data privacy & consent",
    "title": "Data privacy & consent"
  },
  "servers": [
    {
      "url": "https://{tenanturl}",
      "variables": {
        "tenanturl": {
          "default": "{tenant_url}",
          "description": "URL of your IBM Security Verify tenant"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Data Privacy and Consent Management"
    }
  ],
  "paths": {
    "/config/v1.0/privacy/profiles": {
      "get": {
        "tags": [
          "Data Privacy and Consent Management"
        ],
        "summary": "Retrieve a list of Privacy Profiles.",
        "description": "Use this API to retrieve a list of privacy profiles.                    <br/><br/><b>Entitlements required (one of the following):</b>                     <ul><li>readPrivacyProfile (Read privacy profiles)</li>                        <li>managePrivacyProfile (Manage privacy profiles)</li></ul>",
        "operationId": "getProfiles",
        "parameters": [
          {
            "name": "sort",
            "in": "query",
            "description": "Fields to be used for sorting, comma separated, with a +/- operator. If nothing specified, then + is default.",
            "schema": {
              "maxLength": 32,
              "type": "string"
            }
          },
          {
            "name": "pagination",
            "in": "query",
            "description": "Controls the results that are returned in a page. <br/><br/>     A maximum of 50 results are returned if no pagination query parameters are specified. <br/> <br/>     Specify the following parameters: <br/> <br/>     **count** - Defines the total number of results that will be returned. The maximum value is 1000. <br/> <br/>    **page** - Identifies the requested page, or the offset.  <br/> <br/>     **limit** - Defines the total number of results that are returned per page. The maximum value is 1000. <br/> <br/>      **Note**: The pagination parameter value must be HTML-encoded. Use the prefix \"pagination=\" in the query parameter. <br/>     **Example**: Paginate on count=10&page=1&limit=5 \n     <br/>**pagination**=count%3D10%26page%3D1%26limit%3D5",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "search",
            "in": "query",
            "description": "Specify the search criteria for the results.   <br/> <br/>Suppported values are: id, name, /_embedded/relationships/extId, /_embedded/relationships/extCategory .<br></br>Supported operators are: contains, =. Use double quotation marks while searching for string values. <br/><br/>**Note**: The search parameter value must be HTML-encoded. Use the prefix \"search=\" in the query parameter. <br/><br/>**Example**: Search on name contains \"myprofile\"</br>search=name%20contains%20%22myprofile%22",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Profiles",
            "content": {
              "*/*": {
                "schema": {
                  "title": "Response",
                  "type": "object",
                  "properties": {
                    "profiles": {
                      "type": "array",
                      "items": {
                        "title": "PrivacyProfile",
                        "type": "object",
                        "properties": {
                          "id": {
                            "maxLength": 64,
                            "type": "string",
                            "description": "An Identifier, will be generated if not provided."
                          },
                          "name": {
                            "maxLength": 100,
                            "type": "string",
                            "description": "Unique name of the privacy profile."
                          },
                          "description": {
                            "maxLength": 512,
                            "type": "string",
                            "description": "An optional description of the privacy profile"
                          },
                          "purposes": {
                            "type": "array",
                            "description": "Array of purposes",
                            "items": {
                              "required": [
                                "id"
                              ],
                              "type": "object",
                              "properties": {
                                "id": {
                                  "maxLength": 64,
                                  "type": "string",
                                  "description": "Identifier to an existing Purpose."
                                },
                                "accessTypes": {
                                  "type": "array",
                                  "description": "Access types associated with this purpose.",
                                  "items": {
                                    "title": "AccessTypes",
                                    "required": [
                                      "id"
                                    ],
                                    "type": "object",
                                    "properties": {
                                      "id": {
                                        "type": "string",
                                        "description": "Access type identifier. This fields needs to be provided, it accepts a alphanumeric characters and -,_. Access types starting with id \"ibm-\" or with id \"default\" are reserved."
                                      },
                                      "approvalRequired": {
                                        "type": "boolean",
                                        "description": ""
                                      }
                                    }
                                  }
                                },
                                "attributes": {
                                  "type": "array",
                                  "items": {
                                    "title": "Attribute",
                                    "required": [
                                      "accessTypes",
                                      "id"
                                    ],
                                    "type": "object",
                                    "properties": {
                                      "id": {
                                        "maxLength": 1024,
                                        "type": "string",
                                        "description": "Attribute ID, this field is required."
                                      },
                                      "accessTypes": {
                                        "type": "array",
                                        "description": "A reference to the access type, this field is required.",
                                        "items": {
                                          "title": "AccessTypes",
                                          "required": [
                                            "id"
                                          ],
                                          "type": "object",
                                          "properties": {
                                            "id": {
                                              "type": "string",
                                              "description": "Access type identifier. This fields needs to be provided, it accepts a alphanumeric characters and -,_. Access types starting with id \"ibm-\" or with id \"default\" are reserved."
                                            },
                                            "approvalRequired": {
                                              "type": "boolean",
                                              "description": ""
                                            }
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          },
                          "meta": {
                            "type": "object",
                            "properties": {
                              "createdTime": {
                                "type": "integer",
                                "description": "Creation epoch timestamp",
                                "example": 1589178082
                              },
                              "lastModifiedTime": {
                                "type": "integer",
                                "description": "Last modified epoch timestamp",
                                "example": 1589278082
                              }
                            }
                          }
                        }
                      }
                    },
                    "page": {
                      "type": "integer",
                      "description": "Page number, as specified in the request."
                    },
                    "limit": {
                      "type": "integer",
                      "description": "Page size, as specified in the request."
                    },
                    "count": {
                      "type": "integer",
                      "description": "The total number of records to be returned, as specified in the request. The maximum value is 1000."
                    },
                    "total": {
                      "type": "integer",
                      "description": "The total number of matching records found."
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "The request contains invalid value(s).",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/Error400"
                }
              }
            }
          },
          "500": {
            "description": "An internal server error occured.",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/Error500"
                }
              }
            }
          }
        },
        "x-publicAPI": "true",
        "x-category": "Data privacy & consent"
      }
    }
  },
  "components": {
    "schemas": {
      "Error400": {
        "required": [
          "messageDescription",
          "messageId"
        ],
        "type": "object",
        "properties": {
          "messageId": {
            "type": "string",
            "description": "The message key identifier",
            "example": "CSIBTXXXXE"
          },
          "messageDescription": {
            "type": "string",
            "description": "A requestor locale specific descriptive message",
            "example": "String message"
          }
        }
      },
      "Error500": {
        "required": [
          "messageDescription",
          "messageId"
        ],
        "type": "object",
        "properties": {
          "messageId": {
            "type": "string",
            "description": "The message key identifier",
            "example": "CSIBTXXXXE"
          },
          "messageDescription": {
            "type": "string",
            "description": "A requestor locale specific descriptive message",
            "example": "String message"
          }
        }
      }
    }
  },
  "x-original-swagger-version": "2.0",
  "x-explorer-enabled": false
}
```